## WebKitDOMHTMLFontElement

WebKitDOMHTMLFontElement

## Functions

gchar * | webkit_dom_html_font_element_get_color ()
void | webkit_dom_html_font_element_set_color ()
gchar * | webkit_dom_html_font_element_get_face ()
void | webkit_dom_html_font_element_set_face ()
gchar * | webkit_dom_html_font_element_get_size ()
void | webkit_dom_html_font_element_set_size ()

## Properties

gchar * | color | Read / Write
gchar * | face | Read / Write
gchar * | size | Read / Write

## Types and Values

| WebKitDOMHTMLFontElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLFontElement

## Implemented Interfaces

WebKitDOMHTMLFontElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_font_element_get_color ()

    gchar *
    webkit_dom_html_font_element_get_color
                                   (WebKitDOMHTMLFontElement *self);

#### Parameters

self | A WebKitDOMHTMLFontElement |

#### Returns

A gchar

### webkit_dom_html_font_element_set_color ()

    void
    webkit_dom_html_font_element_set_color
                                   (WebKitDOMHTMLFontElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFontElement |
value | A gchar |

### webkit_dom_html_font_element_get_face ()

    gchar *
    webkit_dom_html_font_element_get_face (WebKitDOMHTMLFontElement *self);

#### Parameters

self | A WebKitDOMHTMLFontElement |

#### Returns

A gchar

### webkit_dom_html_font_element_set_face ()

    void
    webkit_dom_html_font_element_set_face (WebKitDOMHTMLFontElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFontElement |
value | A gchar |

### webkit_dom_html_font_element_get_size ()

    gchar *
    webkit_dom_html_font_element_get_size (WebKitDOMHTMLFontElement *self);

#### Parameters

self | A WebKitDOMHTMLFontElement |

#### Returns

A gchar

### webkit_dom_html_font_element_set_size ()

    void
    webkit_dom_html_font_element_set_size (WebKitDOMHTMLFontElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFontElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLFontElement

    typedef struct _WebKitDOMHTMLFontElement WebKitDOMHTMLFontElement;

## Property Details

### The `“color”` property

      “color”                    gchar *

read-write gchar* HTMLFontElement:color.

Flags: Read / Write

Default value: ""

### The `“face”` property

      “face”                     gchar *

read-write gchar* HTMLFontElement:face.

Flags: Read / Write

Default value: ""

### The `“size”` property

      “size”                     gchar *

read-write gchar* HTMLFontElement:size.

Flags: Read / Write

Default value: ""